## emile 0.14+m68k

=== Makefile ===
#
#  (c) 2004-2013 Laurent Vivier <Laurent@Vivier.EU>
#
#

MAKEFLAGS += --no-print-directory

include config.mk
include tools.mk
include kernel.mk

SYSTEM:=$(shell uname -s)
MACHINE:=$(shell uname -m)
ifeq ($(SYSTEM), Linux)
NATIVE:=$(MACHINE)-linux
else
NATIVE:=$(MACHINE)-$(SYSTEM)
endif

# Target

.PHONY: first libemile libblock libiso9660 libiso9660-m68k libgzip-m68k tools \
       libcontainer clean all_bin all install tools-install first-install \
       docs-install uninstall tools-uninstall first-uninstall docs-uninstall \
       clean libemile-clean libmacos-clean libunix-clean tools-clean \
       first-clean second-clean docs-clean libiso9660-clean libgzip-clean \
       libfloppy-clean libscsi-clean libstream-clean libblock-clean dist docs \
       libconfig libconfig-m68k libmap \
       libmap-m68k libext2 libext2-m68k

all: tools.mk docs libemile libblock libiso9660 libiso9660-m68k libgzip-m68k \
     tools first libstream libcontainer libmap libext2 libext2-m68k \
     second/$(KARCH)-linux-floppy/second \
     second/$(KARCH)-linux-scsi/second second/m68k-netbsd-floppy/second \
     libconfig libconfig-m68k \
     second/$(KARCH)-linux-all/second second/m68k-linux-scsi-driver/apple_driver

tools.mk: scripts/tools.sh
	sh scripts/tools.sh > $@

ALL_BIN = cdboot-sarge.bin cdboot-woody.bin cdboot-etch.bin

cdboot-woody.bin: tools first second/$(KARCH)-linux-scsi/second
	tools/emile-install -f first/first_floppy \
			    -s second/$(KARCH)-linux-scsi/second \
			    -k "iso9660:(sd3)/install/mac/linux.bin" \
			    -r "iso9660:(sd3)/install/mac/root.bin" \
			    cdboot-woody.bin.X
	tools/emile-set-cmdline -a $(CDBOOT_ARGS) cdboot-woody.bin.X
	mv cdboot-woody.bin.X cdboot-woody.bin
	rm -f last.bin
	ln -s cdboot-woody.bin last.bin

cdboot-sarge.bin: tools first second/$(KARCH)-linux-scsi/second
	tools/emile-install -f first/first_floppy \
			-s second/$(KARCH)-linux-scsi/second \
			-k "iso9660:(sd3)/install/kernels/vmlinuz-2.2.25-mac" \
			-r "iso9660:(sd3)/install/cdrom/initrd22.gz" \
			    cdboot-sarge.bin.X
	tools/emile-set-cmdline -a $(CDBOOT_ARGS) cdboot-sarge.bin.X
	mv cdboot-sarge.bin.X cdboot-sarge.bin
	rm -f last.bin
	ln -s cdboot-sarge.bin last.bin

cdboot-etch.bin: tools first second/$(KARCH)-linux-scsi/second
	tools/emile-install -f first/first_floppy \
			-s second/$(KARCH)-linux-scsi/second \
			-k "iso9660:(sd3)/install/kernels/vmlinuz-2.6.18-4-mac"\
			-r "iso9660:(sd3)/install/cdrom/initrd.gz" \
			    cdboot-etch.bin.X
	tools/emile-set-cmdline -a $(CDBOOT_ARGS26) cdboot-etch.bin.X
	mv cdboot-etch.bin.X cdboot-etch.bin
	rm -f last.bin
	ln -s cdboot-etch.bin last.bin

# We can build floppy image only if a kernel is provided

ifeq ($(LINUX),$(LINUXPATH))

ALL_BIN += netboot.bin rescue.bin debian-installer.bin boot.bin multiboot.bin second/$(KARCH)-linux-scsi/second second/$(KARCH)-linux-all/second

floppy.bin: tools first vmlinuz \
	    second/$(KARCH)-linux-floppy/second
	tools/emile-install -f first/first_floppy \
			    -s second/$(KARCH)-linux-floppy/second \
			    -k vmlinuz floppy.bin.X
ifdef CONSOLE
	tools/emile-set-output floppy.bin.X --printer --modem
endif
ifdef GESTALTID
	tools/emile-set-output floppy.bin.X --gestaltid $(GESTALTID)
endif
	mv floppy.bin.X floppy.bin

floppy_ramdisk.bin: tools first vmlinuz \
		    second/$(KARCH)-linux-floppy/second $(LINUXRAMDISK)
	tools/emile-install -f first/first_floppy  \
			    -s second/$(KARCH)-linux-floppy/second \
			    -k vmlinuz -r $(LINUXRAMDISK) floppy_ramdisk.bin.X
ifdef CONSOLE
	tools/emile-set-output floppy_ramdisk.bin.X --printer --modem
endif
ifdef GESTALTID
	tools/emile-set-output floppy_ramdisk.bin.X --gestaltid $(GESTALTID)
endif
	mv floppy_ramdisk.bin.X floppy_ramdisk.bin

debian-installer.bin: floppy.bin
	rm -f last.bin
	cp floppy.bin debian-installer.bin.X
	tools/emile-set-cmdline -a $(INSTALLER_ARGS) debian-installer.bin.X
	mv debian-installer.bin.X debian-installer.bin
	ln -s debian-installer.bin last.bin

netboot.bin: floppy.bin
	rm -f last.bin
	cp floppy.bin netboot.bin.X
	tools/emile-set-cmdline -a $(NETBOOT_ARGS) netboot.bin.X
	mv netboot.bin.X netboot.bin
	ln -s netboot.bin last.bin

rescue.bin: floppy_ramdisk.bin
	rm -f last.bin
	cp floppy_ramdisk.bin rescue.bin.X
	tools/emile-set-cmdline -a $(RESCUE_ARGS) rescue.bin.X
	mv rescue.bin.X rescue.bin
	ln -s rescue.bin last.bin

multiboot.bin: tools first vmlinuz second/$(KARCH)-linux-all/second
	rm -f last.bin
	tools/emile-install -c $(FLOPPY_CONF) multiboot.bin.X
	mv multiboot.bin.X multiboot.bin
	ln -s multiboot.bin last.bin
	
boot.bin: floppy.bin
	rm -f last.bin
	cp floppy.bin boot.bin.X
	tools/emile-set-cmdline -a $(BOOT_ARGS) boot.bin.X
	mv boot.bin.X boot.bin
	ln -s boot.bin last.bin

vmlinuz: $(LINUX)
	$(KSTRIP) -s $(LINUX) -o $(LINUX).stripped
	gzip -9 $(LINUX).stripped
	mv $(LINUX).stripped.gz vmlinuz
endif

NETBSDPATH=netbsd

NETBSD=$(shell ls $(NETBSDPATH) 2> /dev/null)

ifeq ($(NETBSD),$(NETBSDPATH))
netbsd-floppy.bin: tools first netbsd.gz \
	    second/m68k-netbsd-floppy/second
	tools/emile-install -f first/first_floppy \
			    -s second/$(KARCH)-netbsd-floppy/second \
			    -k netbsd.gz netbsd-floppy.bin.X
ifdef CONSOLE
	tools/emile-set-output netbsd-floppy.bin.X --printer --modem
endif
	mv netbsd-floppy.bin.X netbsd-floppy.bin

netbsd-boot.bin: netbsd-floppy.bin
	rm -f last.bin
	cp netbsd-floppy.bin netbsd-boot.bin.X
	tools/emile-set-cmdline -a $(BOOT_ARGS) netbsd-boot.bin.X
	mv netbsd-boot.bin.X netbsd-boot.bin
	ln -s netbsd-boot.bin last.bin

netbsd.gz: $(NETBSD)
	$(KSTRIP) -s $(NETBSD) -o $(NETBSD).stripped
	gzip -9 $(NETBSD).stripped
	mv $(NETBSD).stripped.gz netbsd.gz
endif

all_bin: $(ALL_BIN)
	rm -f last.bin

export SIGNATURE VERSION DESTDIR PREFIX KARCH CROSS_COMPILE

first::
	$(MAKE) -C first TARGET=m68k-linux

second/$(KARCH)-linux-floppy/second:: libmacos libunix libiso9660-m68k libext2-m68k libgzip-m68k libfloppy libscsi libstream libblock libcontainer libui libconfig-m68k libmap-m68k
	$(MAKE) -C second MEDIA=floppy TARGET=$(KARCH)-linux

second/$(KARCH)-linux-scsi/second:: libmacos libunix libiso9660-m68k libext2-m68k libgzip-m68k libfloppy libscsi libstream libblock libcontainer libui libconfig-m68k libmap-m68k
	$(MAKE) -C second MEDIA=scsi TARGET=$(KARCH)-linux

second/$(KARCH)-linux-all/second:: libmacos libunix libiso9660-m68k libext2-m68k libgzip-m68k libfloppy libscsi libstream libblock libcontainer libui libconfig-m68k libmap-m68k
	$(MAKE) -C second MEDIA=full TARGET=$(KARCH)-linux

second/m68k-netbsd-floppy/second:: libmacos libunix libiso9660-m68k libext2-m68k libgzip-m68k libfloppy libstream libblock libcontainer libui libconfig-m68k libmap-m68k
	$(MAKE) -C second TARGET=m68k-netbsd MEDIA=floppy

second/m68k-linux-scsi-driver/apple_driver:: libmacos libunix libiso9660-m68k libgzip-m68k libstream libui libconfig-m68k libmap-m68k
	$(MAKE) -C second MEDIA=scsi TARGET=m68k-linux \
	        m68k-linux-scsi-driver/apple_driver

first-install::
	$(MAKE) -C first install

first-uninstall::
	$(MAKE) -C first uninstall

second-install::
	$(MAKE) -C second install 

second-uninstall::
	$(MAKE) -C second uninstall

libmacos::
	$(MAKE) -C libmacos all TARGET=m68k-linux

libunix::
	$(MAKE) -C libunix all TARGET=m68k-linux

libui::
	$(MAKE) -C libui all TARGET=m68k-linux

libiso9660-m68k::
	$(MAKE) -C libiso9660 all TARGET=m68k-linux

libext2-m68k::
	$(MAKE) -C libext2 all TARGET=m68k-linux

libconfig-m68k::
	$(MAKE) -C libconfig all TARGET=m68k-linux

libconfig::
	$(MAKE) -C libconfig all TARGET=$(NATIVE) CROSS_COMPILE=$(CROSS_COMPILE)

libiso9660::
	$(MAKE) -C libiso9660 all TARGET=$(NATIVE) CROSS_COMPILE=$(CROSS_COMPILE)

libext2::
	$(MAKE) -C libext2 all TARGET=$(NATIVE) CROSS_COMPILE=$(CROSS_COMPILE)

libcontainer::
	$(MAKE) -C libcontainer all TARGET=m68k-linux

libblock::
	$(MAKE) -C libblock all TARGET=m68k-linux

libgzip-m68k::
	$(MAKE) -C libgzip all TARGET=m68k-linux

libgzip::
	$(MAKE) -C libgzip all TARGET=$(NATIVE) CROSS_COMPILE=$(CROSS_COMPILE)

libemile::
	$(MAKE) -C libemile all TARGET=$(NATIVE) CROSS_COMPILE=$(CROSS_COMPILE)

libfloppy::
	$(MAKE) -C libfloppy all CC=$(M68K_CC) AS=$(M68K_AS)

libscsi::
	$(MAKE) -C libscsi all CC=$(M68K_CC) AS=$(M68K_AS)

libstream::
	$(MAKE) -C libstream all CC=$(M68K_CC) AS=$(M68K_AS)

libmap::
	$(MAKE) -C libmap all TARGET=$(NATIVE) CROSS_COMPILE=$(CROSS_COMPILE)

libmap-m68k::
	$(MAKE) -C libmap all TARGET=m68k-linux

tools::  libemile libiso9660 libext2 libgzip libconfig libmap
	$(MAKE) -C tools all CROSS_COMPILE=$(CROSS_COMPILE) TARGET=$(NATIVE)

tools-install:: tools
	$(MAKE) -C tools install TARGET=$(NATIVE)

tools-uninstall::
	$(MAKE) -C tools uninstall

docs-install:: docs
	$(MAKE) -C docs install

docs-uninstall::
	$(MAKE) -C docs uninstall

docs::
	$(MAKE) -C docs all

dump: last.bin
	dd if=last.bin of=$(FLOPPY) bs=512

install: tools-install first-install second-install docs-install

uninstall: tools-uninstall first-uninstall second-uninstall docs-uninstall

libemile-clean:
	$(MAKE) -C libemile clean

libmacos-clean:
	$(MAKE) -C libmacos clean

libunix-clean:
	$(MAKE) -C libunix clean

libui-clean:
	$(MAKE) -C libui clean

libscsi-clean:
	$(MAKE) -C libscsi clean

libstream-clean:
	$(MAKE) -C libstream clean

libiso9660-clean::
	$(MAKE) -C libiso9660 clean TARGET=$(NATIVE)
	$(MAKE) -C libiso9660 clean TARGET=$(KARCH)-linux

libext2-clean::
	$(MAKE) -C libext2 clean TARGET=$(NATIVE)
	$(MAKE) -C libext2 clean TARGET=$(KARCH)-linux

libconfig-clean::
	$(MAKE) -C libconfig clean TARGET=$(NATIVE)
	$(MAKE) -C libconfig clean TARGET=$(KARCH)-linux

libcontainer-clean::
	$(MAKE) -C libcontainer clean

libblock-clean::
	$(MAKE) -C libblock clean

libgzip-clean::
	$(MAKE) -C libgzip clean TARGET=$(NATIVE)
	$(MAKE) -C libgzip clean TARGET=$(KARCH)-linux

libmap-clean::
	$(MAKE) -C libmap clean TARGET=$(NATIVE)
	$(MAKE) -C libmap clean TARGET=$(KARCH)-linux

tools-clean:
	$(MAKE) -C tools clean

first-clean:
	$(MAKE) -C first clean

second-clean:
	$(MAKE) -C second clean

docs-clean:
	$(MAKE) -C docs clean

libfloppy-clean:
	$(MAKE) -C libfloppy clean

distclean:: clean
	rm -f tools.mk

clean:: libemile-clean libmacos-clean libunix-clean tools-clean first-clean \
	second-clean docs-clean libiso9660-clean libext2-clean libgzip-clean \
	libfloppy-clean \
	libscsi-clean libstream-clean libblock-clean libcontainer-clean \
	libui-clean libconfig-clean libmap-clean
	rm -f floppy.bin floppy.bin.X floppy_ramdisk.bin \
	      floppy_ramdisk.bin.X rescue.bin rescue.bin.X \
	      debian-installer.bin debian-installer.bin.X \
	      netboot.bin netboot.bin.X boot.bin boot.bin.X \
	      vmlinuz last.bin cdboot-sarge.bin cdboot-woody.bin \
	      multiboot.bin

DISTFILES = AUTHORS ChangeLog COPYING Makefile README README.floppy \
	    README.scsi Rules.mk config/floppy.conf kernel.mk config.mk \
	    scripts/tools.sh

dist:
	rm -fr $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	@$(MAKE) -C tools dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libemile dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C second dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C first dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C docs dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libmacos dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libunix dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libui dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libstream dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libscsi dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libfloppy dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libblock dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libiso9660 dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libext2 dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)
	@$(MAKE) -C libcontainer dist DISTDIR=$(shell pwd)/$(PACKAGE)-$(VERSION)

=== debian/Makefile ===
#
#
# (c) 2004-2007 Laurent Vivier <Laurent@Vivier.EU>
#
#

TOP = $(shell pwd)

SOURCES = changelog compat control copyright emile-bootblocks.dirs \
	  emile-bootblocks.install emile-bootblocks.postinst emile.install \
	  Makefile rules

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk

=== docs/Makefile ===
#
# (c) 2005-2008 Laurent Vivier <Laurent@Vivier.EU>
#
#

TOP=$(shell pwd)

MODULE ?= $(shell basename $(TOP))

SECTION5 = emile.conf.sgml

SECTION8 = emile-first-tune.sgml emile-install.sgml emile-map-set.sgml \
	   emile-set-cmdline.sgml emile-set-output.sgml emile.sgml \
	   emile-mkisofs.sgml

MANPATH ?= /usr/share/man/

MANPAGES = $(SECTION5:.sgml=.5.gz) $(SECTION8:.sgml=.8.gz)

DISTFILES ?= $(SECTION5) $(SECTION8) Makefile

all: man

%.gz: %
	gzip -9f $<

man: $(MANPAGES)

install: all
	install -m 755 -d $(DESTDIR)/$(PREFIX)/$(MANPATH)/man5
	install -m 644 $(SECTION5:.sgml=.5.gz) \
	               $(DESTDIR)/$(PREFIX)/$(MANPATH)/man5
	install -m 755 -d $(DESTDIR)/$(PREFIX)/$(MANPATH)/man8
	install -m 644 $(SECTION8:.sgml=.8.gz) \
	               $(DESTDIR)/$(PREFIX)/$(MANPATH)/man8

uninstall:
	for file in $(SECTION5:.sgml=.5.gz) ; do \
	    rm -f $(DESTDIR)/$(PREFIX)/$(MANPATH)/man5/$${file}; \
	done
	for file in $(SECTION8:.sgml=.8.gz) ; do \
	    rm -f $(DESTDIR)/$(PREFIX)/$(MANPATH)/man8/$${file}; \
	done

clean:
	rm -f $(MANPAGES) $(MANPAGES:.8.gz=.8) $(MANPAGES:.5.gz=.5)

dist:
	@echo TAR $(MODULE)
	@for file in $(DISTFILES); do \
		dir=$$(dirname $$file); \
		if [ "$$dir" != "" ] ; then \
			mkdir -p $(DISTDIR)/$(MODULE)/$$dir; \
		fi; \
		cp -p $$file $(DISTDIR)/$(MODULE)/$$file; \
	done

include $(TOP)/../tools.mk

=== first/Makefile ===
#
#
# (c) 2004-2007 Laurent Vivier <Laurent@Vivier.EU>
#
#

first_scsi:	ASFLAGS += --defsym SCSI_SUPPORT=1
first_floppy:	ASFLAGS += --defsym FLOPPY_SUPPORT=1

TOP	= $(shell pwd)
VPATH	= $(TOP)

ASFLAGS = -I$(TOP)

SOURCES = first.S
CLEAN	= first_floppy.o first_scsi.o

HEADERS = floppy.i macos.i scsi.i 32bitmode.i

PROGRAMS = first_scsi first_floppy

.PHONY: all

all: $(PROGRAMS)

%: %.o
	$(OBJCOPY) -O binary $^ $@

first_scsi.o first_floppy.o first_ata.o: first.S
	$(AS) $(ASFLAGS) -o $@ $^

install::
	install -d $(DESTDIR)/$(PREFIX)/boot/emile/
	install first_scsi $(DESTDIR)/$(PREFIX)/boot/emile/first_scsi
	install -d $(DESTDIR)/$(PREFIX)/lib/emile/
	install first_floppy $(DESTDIR)/$(PREFIX)/lib/emile/first_floppy

uninstall::
	rm -f $(DESTDIR)/$(PREFIX)/boot/emile/first_scsi
	rm -f $(DESTDIR)/$(PREFIX)/lib/emile/first_floppy

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk

=== libblock/Makefile ===
#
#  (c) 2005-2007 Laurent Vivier <Laurent@Vivier.EU>
#

TOP=$(shell pwd)

68000FLAGS = -m68000 -Wa,-m68000
CFLAGS	+= -nostdlib -nodefaultlibs -Wall -Werror -Wno-multichar -fpic -O2 -Os
CPPFLAGS = -I$(TOP)/../libmacos -DARCH_M68K -I$(TOP)/../libstream

LIBRARY = libblock.a

SOURCES = block_close.c block_fstat.c block_lseek.c block_open.c block_read.c \
	  block_init.c block_mount.c

HEADERS = libblock.h block.h

all: $(LIBRARY)

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk

=== libconfig/Makefile ===
#
#  (c) 2005-2007 Laurent Vivier <Laurent@Vivier.EU>
#

TOP = $(shell pwd)
VPATH=$(TOP)

TARGET = native
CFLAGS	+= -nostdlib -nodefaultlibs -Wall -Werror -Wno-multichar
ifeq ($(TARGET), m68k-linux)
68000FLAGS = -m68000 -Wa,-m68000
CFLAGS += -fpic -O2 -Os
else
CFLAGS += -g
endif
CPPFLAGS = -I$(TOP)/../libstream

LIBRARY = libconfig.a

SOURCES = config_get_indexed_property.c config_get_next_property.c \
	  config_get_property.c config_remove_property.c \
	  config_set_property.c config_set_indexed_property.c \
	  config_remove_indexed_property.c config_find_indexed_property.c \
	  config_find_entry.c config_add_property.c

HEADERS = libconfig.h

all:
	test -d $(TARGET) || mkdir $(TARGET)
	$(MAKE) -C $(TARGET) -f $(TOP)/Makefile $(LIBRARY) TOP=$(TOP)

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk

=== libcontainer/Makefile ===
#
#  (c) 2005-2007 Laurent Vivier <Laurent@Vivier.EU>
#

TOP=$(shell pwd)
VPATH=$(TOP)

68000FLAGS = -m68000 -Wa,-m68000
CFLAGS	= -nostdlib -nodefaultlibs -Wall -Werror -Wno-multichar -fpic -O2 -Os
CPPFLAGS = -I$(TOP)/../libstream

LIBRARY = libcontainer.a

SOURCES = container_close.c container_lseek.c container_open.c \
	  container_read.c container_fstat.c container_init.c \
	  container_mount.c

HEADERS = libcontainer.h container.h

all: $(LIBRARY)

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk

=== libemile/Makefile ===
#
#  (c) 2004-2007 Laurent Vivier <Laurent@Vivier.EU>
#
#

TOP=$(shell pwd)
VPATH=$(TOP)

CPPFLAGS = $(CROSS_COMPILE_CPPFLAGS)
LDFLAGS = $(CROSS_COMPILE_LDFLAGS)

LIBRARY = libemile.a

SOURCES = emile_first_get_param.c \
	  emile_first_set_param.c emile_first_set_param_scsi.c \
	  emile_floppy_create_image.c emile_second_create_mapfile.c \
	  emile_scsi_create_container.c emile_scsi_get_dev.c \
	  emile_scsi_get_rdev.c emile_second_get_configuration.c \
	  emile_second_set_configuration.c \
	  emile_second_set_param.c emile_second_get_param.c \
	  emile_first_set_param_scsi_extents.c

HEADERS = emile.h libemile.h bootblock.h

CFLAGS  = -Wall -Werror -g
CPPFLAGS = -I$(TOP)/../libmacos -I$(TOP)/../libcontainer -I$(TOP)/../libstream -I$(TOP)/../libconfig -I$(TOP)/../libmap -I$(TOP)

all:
	test -d $(TARGET) || mkdir $(TARGET)
	$(MAKE) -C $(TARGET) -f $(TOP)/Makefile $(LIBRARY) TOP=$(TOP)

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk

=== libext2/Makefile ===
#
#  (c) 2008 Laurent Vivier <Laurent@Vivier.EU>
#

TOP = $(shell pwd)
VPATH=$(TOP)

TARGET = native
CFLAGS	+= -nostdlib -nodefaultlibs -Wall -Werror -Wno-multichar
ifeq ($(TARGET), m68k-linux)
68000FLAGS = -m68000 -Wa,-m68000
CFLAGS += -fpic -O2 -Os
else
CFLAGS += -g
endif
CPPFLAGS = -I$(TOP)/../libstream

LIBRARY = libext2.a

SOURCES = ext2_mount.c ext2_opendir.c \
	  ext2_closedir.c \
	  ext2_open.c ext2_init.c \
	  ext2_read.c ext2_close.c \
	  ext2_lseek.c ext2_fstat.c \
	  ext2_utils.c ext2_readdir.c

HEADERS = libext2.h ext2_utils.h ext2.h

all:
	test -d $(TARGET) || mkdir $(TARGET)
	$(MAKE) -C $(TARGET) -f $(TOP)/Makefile $(LIBRARY) TOP=$(TOP)

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk

=== libfloppy/Makefile ===
#
#  (c) 2005-2007 Laurent Vivier <Laurent@Vivier.EU>
#

TOP=$(shell pwd)

68000FLAGS = -m68000 -Wa,-m68000
CFLAGS	+= -nostdlib -nodefaultlibs -Wall -Werror -Wno-multichar -fpic -O2 -Os
CPPFLAGS = -I$(TOP)/../libmacos -DARCH_M68K

LIBRARY = libfloppy.a

SOURCES = floppy_read_sector.c floppy_close.c floppy_open.c \
	  floppy_get_blocksize.c

HEADERS = libfloppy.h

all: $(LIBRARY)

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk

=== libgzip/Makefile ===
#
#  (c) 2005-2007 Laurent Vivier <Laurent@Vivier.EU>
#

TOP = $(shell pwd)

VPATH=$(TOP)

TARGET = native

CFLAGS	+= -nostdlib -nodefaultlibs -Wall -Werror -Wno-multichar
ifeq ($(TARGET), m68k-linux)
68000FLAGS = -m68000 -Wa,-m68000
CFLAGS += -fpic -O2 -Os
endif

CPPFLAGS = -DFATFREE -DNOBYFOUR -DBUILDFIXED -DNO_GZCOMPRESS -DDYNAMIC_CRC_TABLE

LIBRARY = libgzip.a

SOURCES = inflate.c adler32.c inftrees.c zutil.c inffast.c crc32.c

HEADERS = deflate.h inffast.h inflate.h inftrees.h zconf.h zlib.h zutil.h

all:
	test -d $(TARGET) || mkdir $(TARGET)
	cd $(TARGET) && make -f $(TOP)/Makefile $(LIBRARY) TOP=$(TOP)

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk

=== libiso9660/Makefile ===
#
#  (c) 2005-2007 Laurent Vivier <Laurent@Vivier.EU>
#

TOP = $(shell pwd)
VPATH=$(TOP)

TARGET = native
CFLAGS	+= -nostdlib -nodefaultlibs -Wall -Werror -Wno-multichar
ifeq ($(TARGET), m68k-linux)
68000FLAGS = -m68000 -Wa,-m68000
CFLAGS += -fpic -O2 -Os
else
CFLAGS += -g
endif
CPPFLAGS = -I$(TOP)/../libstream

LIBRARY = libiso9660.a

SOURCES = iso9660_mount.c iso9660_opendir.c \
	  iso9660_closedir.c iso9660_readdir.c \
	  iso9660_is_directory.c iso9660_open.c \
	  iso9660_read.c iso9660_close.c \
	  iso9660_lseek.c iso9660_fstat.c \
	  iso9660_init.c

HEADERS = libiso9660.h iso9660.h

all:
	test -d $(TARGET) || mkdir $(TARGET)
	$(MAKE) -C $(TARGET) -f $(TOP)/Makefile $(LIBRARY) TOP=$(TOP)

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk

=== debian/changelog ===
emile (0.14+m68k) unreleased; urgency=medium

  * Rebuild for unreleased.
  * Bump compatibility level to 9.
  * Fix multiple build issues:
    - second: make console_putchar() inline in console.c only
    - tools: remove Makefile from SOURCES variable
    - tools: fix source path for installation of tools binaries
    - remove trailing spaces from multiple Makefiles
    - scripts: don't bail out when no m68k cross-compiler can be found
    - libunix: add -ffreestanding to CFLAGS to fix nonnull-compare warning

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 15 Mar 2017 23:06:58 +0100

emile (0.14) unstable; urgency=low

  * update to gcc-4.8 support and kernel 3.10

 -- Laurent Vivier <Laurent@vivier.eu>  Thu, 05 Sep 2013 14:06:35 +0200

emile (0.13) unstable; urgency=low

  * add apple_driver to boot from CDROM

 -- Laurent Vivier <Laurent@vivier.eu>  Tue, 01 Feb 2011 00:37:54 +0100

emile (0.12) unstable; urgency=low

  * add multiboot
  * add ext2 support

 -- Laurent Vivier <Laurent@lvivier.info>  Sun, 27 Jul 2008 19:16:28 +0200

emile (0.11) unstable; urgency=low

  * debian packaging integration in EMILE CVS

 -- Laurent Vivier <Laurent@lvivier.info>  Sun, 08 Oct 2006 18:50:34 +0200

emile (0.10-1) unstable; urgency=low

  * Initial upload. Closes: #312269

 -- Wouter Verhelst <wouter@debian.org>  Wed, 05 Jul 2005 23:35:17 +0300

=== debian/control ===
Source: emile
Section: admin
Priority: optional
Maintainer: Wouter Verhelst <wouter@debian.org>
Uploaders: Wouter Verhelst <wouter@debian.org>, Stephen R. Marenka <smarenka@debian.org>
Build-Depends: debhelper (>> 4.1.16), docbook-to-man, gcc, e2fslibs-dev
Build-Depends-Indep: gcc-4.6-m68k-linux-gnu [!m68k]
Standards-Version: 3.7.2

Package: emile-bootblocks
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Boot blocks for EMILE, the Early Mac Image LoadEr
 EMILE provides a way to natively boot Macintosh computers who normally
 require Penguin to boot.
 .
 It is however still in an unfinished state; users unfamiliar with Linux
 should note that Penguin currently is a more safe option.
 .
 This package contains the boot blocks which are written to disk by
 EMILE; to install and manage the boot blocks, please install the emile
 package.

Package: emile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, emile-bootblocks
Description: the Early Mac Image LoadEr
 EMILE provides a way to natively boot Macintosh computers who normally
 require Penguin to boot.
 .
 It is however still in an unfinished state; users unfamiliar with Linux
 should note that Penguin currently is a more safe option.
 .
 A list of machines that are supported by EMILE is maintained at 
 http://wiki.debian.org/EmileSupportedHardware

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	CROSS_COMPILE=
else
	CROSS_COMPILE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-
endif

ifeq ($(DEB_BUILD_ARCH),m68k)
	M68K_CROSS_COMPILE=
	target=all
	target_install=install
else
	M68K_CROSS_COMPILE=m68k-linux-gnu-
	M68K_GCC_PATH=$(shell $(M68K_CROSS_COMPILE)gcc -dumpversion)
	ifeq ($(M68K_GCC_PATH),)
		target=docs tools
		target_install=tools-install docs-install
		CHMOD_BOOT=0
	else
		target=all
		target_install=install
		CHMOD_BOOT=1
	endif
endif

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) M68K_CROSS_COMPILE="$(M68K_CROSS_COMPILE)" CROSS_COMPILE="$(CROSS_COMPILE)" $(target)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) DESTDIR=`pwd`/debian/tmp $(target_install)
	if test -d `pwd`/debian/tmp/boot/emile/; then chmod -x `pwd`/debian/tmp/boot/emile/*; fi
	if test -d `pwd`/debian/tmp/lib/emile/; then chmod -x `pwd`/debian/tmp/lib/emile/*; fi


# Build architecture-independent files here.
binary-indep: build install
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install --sourcedir=debian/tmp -i
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install --sourcedir=debian/tmp -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
